*******************************************************************************
*  PROGRAM:      Music.mak
*
*  WRITTEN BY:   Borland Samples Group
*
*  DATE:         5/95
*
*  UPDATED:      5/95
*
*  VERSION:      Visual dBASE
*
*  DESCRIPTION:  This program compiles all the necessary files for building
*                Music.exe, creating a response file, Musicmak.rsp.  It then
*                builds the executable, Music.exe from the files listed in
*                Musicmak.rsp.
*                If you want to build Music.exe on your own, you can use the
*                Music.rsp response file, which already exists
*
*
*  USAGE:        DO Music.mak
*
*******************************************************************************
#include <Messdlg.h>

private saveTalk

* Environment
if set("talk") = "ON"
   set talk off
   saveTalk = "ON"
else
   saveTalk = "OFF"
endif

* Make sure Musicmak.rsp and Music.exe don't exist
if file("Musicmak.rsp")
   delete file Musicmak.rsp
endif
if file("Music.exe")
   delete file Music.exe
endif

* Compile all necessary files to Musicmak.rsp response file.
?"Compiling necessary files..."
compile auto Music.prg,;
             &_dbwinhome.samples\Buttons.cc,;
             Categors.qbe,;
             Categors.wfm,;
             Configs.qbe,;
             Configs.wfm,;
             Filter.wfm,;
             Music.qbe,;
             Musiview.wfm,;
             Priorits.qbe,;
             Priorits.wfm,;
             Search.wfm,;
             Skip.wfm,;
             View.mnu,;
             View.pop;
        to Musicmak.rsp

* Build Music.exe from files listed in Musicmak.rsp
?"Building Music.exe..."
build from Musicmak.rsp;
           to Music.exe;
           splash Bigmusic.bmp;
           icon Music.ico
if file("Music.exe")
   InformationMessage("Music.exe built successfully", "Info")
else
   AlertMessage("Couldn't build Music.exe due to errors.", "Sorry")
endif

set talk &saveTalk

